Détails du package smp-classicshell_4.3.1-1_all.wapt
retour Revenir à la liste des packages

smp-classicshell

ATTENTION CE DÉPÔT n'est plus compatible 1.3 vous devez migrer en 1.5.1.21 !

Fichier control :

package           : smp-classicshell
version           : 4.3.1-1
architecture      : all
section           : base
priority          : optional
maintainer        : Les fourmis du web
description       : Classic Shell, install ClassicStartMenu, no icon in start menu
depends           : 
conflicts         : 
maturity          : 
locale            : 
min_os_version    : 6.1
max_os_version    : 
min_wapt_version  : 
sources           : 
installed_size    : 
signer            : wapt.lesfourmisduweb.org
signer_fingerprint: 8da83ebdac1a25e820b186510d049f47407b11835b0664fdc5bacd3595b1671d
signature         : uVZArMSy8RgddkZF9o8CWs1Ln9euWqob5sIx5hveVcW4EkTzGCaF38qzv50I04Z3e6vj1SO5dNSquo6+hAwn9ysnSDiVjUVI8ls1BlH4KVxvpMsoF2HRm2cf0mX/KPjUTfAbXRVFxVuX+A6HFmTYv/BxHZU4V5i7Z2MJFVMoN/a17MHCqmRrEif1NDnB9CDhRn42YYoa3QGt5vI0MX5uGh4J0dFbNGCkgy7pSihyQPdEOb9/kCfugb47sJ027jxd1SdIcClPQYIV/rjwIKza6321FmLk0Bz69cVRDUdFtJBgbW7vjc673i4d8EsghLVs50nicYcmawxEXJbclMtm2A==
signature_date    : 20171122-013509
signed_attributes : package,version,architecture,section,priority,maintainer,description,depends,conflicts,maturity,locale,min_os_version,max_os_version,min_wapt_version,sources,installed_size,signer,signer_fingerprint,signature_date,signed_attributes






Fichier setup.py :

# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    print('installing Classicshell')
    if iswin64() :
        install_exe_if_needed('ClassicShellSetup_4_3_1-fr.exe',' START_MENU_FOLDER=0 /qn ADDLOCAL=ClassicStartMenu ',key='{CABCE573-0A86-42FA-A52A-C7EA61D5BE08}',min_version='4.3.1')
    else:
        install_exe_if_needed('ClassicShellSetup_4_3_1-fr.exe',' START_MENU_FOLDER=0 /qn ADDLOCAL=ClassicStartMenu ',key='{417502AF-ABF9-457B-AE32-940BEA8F4627}',min_version='4.3.1')